package com.xydl.cac.service;

import com.xydl.cac.entity.NSensor;
import com.xydl.cac.model.ConditionModel;
import com.xydl.cac.model.SensorDetail;
import com.xydl.cac.model.SensorUpdateModel;
import org.springframework.data.domain.Page;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface NSensorService {
    List<NSensor> listAll(Integer zsbid, Integer typeId) throws Exception;

    Page<NSensor> list(Integer typeId, int pageNum, int pageSize) throws Exception;

    NSensor add(NSensor item) throws Exception;

    void update(NSensor item) throws Exception;

    void batchUpdate(SensorUpdateModel model) throws Exception;

    void delete(Integer id) throws Exception;

    NSensor detail(Integer id) throws Exception;

    SensorDetail<Map<String, Object>> getDetail(ConditionModel model) throws Exception;

    void bindicd(Integer id, Integer icdid) throws Exception;

    void importFrom(Collection<NSensor> collection);

    void importOne(NSensor sensor);

    String importFromModev() throws Exception;

}
